package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class JamPraktek
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "RM_JamPraktek_M")
public class JamPraktekVO extends BaseMasterVO {
	@NotNull(message="KdPraktek tidak boleh kosong")
	@Column(name = "KdPraktek", nullable = false, length = 100)
	@Caption(value = "KdPraktek")
	private String kdPraktek;
	public void setKdPraktek(String kdPraktek)
	{
		this.kdPraktek = kdPraktek;
	}
	public String getKdPraktek()
	{
		 return this.kdPraktek;
	}


	@NotNull(message="JamPraktek tidak boleh kosong")
	@Column(name = "JamPraktek", nullable = false, length = 100)
	@Caption(value = "JamPraktek")
	private String jamPraktek;
	public void setJamPraktek(String jamPraktek)
	{
		this.jamPraktek = jamPraktek;
	}
	public String getJamPraktek()
	{
		 return this.jamPraktek;
	}



}